Package org.apache.tools.ant.taskdefs.modules

## Class Link.ReleaseInfo

- java.lang.Object
- - org.apache.tools.ant.taskdefs.modules.Link.ReleaseInfo

Enclosing class:
  Link

    public class Link.ReleaseInfo
    extends java.lang.Object

Child element describing changes to the default release properties of a linked image.

### Constructor Summary

Constructors
`ReleaseInfo()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Link.ReleaseInfoEntry` `createAdd()` Creates an uninitialized child element which can represent properties to add to the default release properties of a linked image.
`Link.ReleaseInfoKey` `createDelete()` Creates an uninitialized child element which can represent a property key to delete from the release properties of a linked image.
`java.io.File` `getFile()` Attribute specifying Java properties file which will replace the default release info properties for the linked image.
`void` `setDelete​(java.lang.String keyList)` Sets attribute which contains a comma-separated list of property keys to delete from the release properties of a linked image.
`void` `setFile​(java.io.File file)` Sets attribute specifying Java properties file which will replace the default release info properties for the linked image.
`java.util.Collection<java.lang.String>` `toCommandLineOptions()` Converts all of this element's state to a series of `jlink` options.
`void` `validate()` Verifies the state of this element.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ReleaseInfo

    public ReleaseInfo()

### Method Detail

#### getFile

    public java.io.File getFile()

Attribute specifying Java properties file which will replace the default release info properties for the linked image.

Returns:
  release properties file

#### setFile

    public void setFile​(java.io.File file)

Sets attribute specifying Java properties file which will replace the default release info properties for the linked image.

Parameters:
  `file` - replacement release properties file

#### createAdd

    public Link.ReleaseInfoEntry createAdd()

Creates an uninitialized child element which can represent properties to add to the default release properties of a linked image.

Returns:
  new, unconfigured child element

#### createDelete

    public Link.ReleaseInfoKey createDelete()

Creates an uninitialized child element which can represent a property key to delete from the release properties of a linked image.

Returns:
  new, unconfigured child element

#### setDelete

    public void setDelete​(java.lang.String keyList)

Sets attribute which contains a comma-separated list of property keys to delete from the release properties of a linked image.

Parameters:
  `keyList` - comma-separated list of property keys
See Also:
  `createDelete()`

#### validate

    public void validate()

Verifies the state of this element.

Throws:
  `BuildException` - if any child element is invalid
See Also:
  `Link.ReleaseInfoEntry.validate()`, `Link.ReleaseInfoKey.validate()`

#### toCommandLineOptions

    public java.util.Collection<java.lang.String> toCommandLineOptions()

Converts all of this element's state to a series of `jlink` options.

Returns:
  new collection of jlink options based on this element's attributes and child elements